Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.signature.domain
Class SignatureVerificationResult

    java.lang.Object
      be.fgov.ehealth.technicalconnector.signature.domain.SignatureVerificationResult

All Implemented Interfaces:
  Serializable

    public class SignatureVerificationResult

extends Object
implements Serializable

Result object containing the verification result.

See Also:
  Serialized Form

Constructor Summary
`SignatureVerificationResult()`

Method Summary
`void` | `addError(SignatureVerificationError error)`
`List<X509Certificate>` | `getCertChain()`
`Set<SignatureVerificationError>` | `getErrors()`
`X509Certificate` | `getSigningCert()`
`org.joda.time.DateTime` | `getSigningTime()`
`List<org.joda.time.DateTime>` | `getTimestampGenTimes()`
`List<org.bouncycastle.tsp.TimeStampToken>` | `getTsTokens()`
`org.joda.time.DateTime` | `getVerifiedSigningTime(int amount, TimeUnit unit)`
`boolean` | `isValid()`
`void` | `setSigningCert(X509Certificate signingCert)`
`void` | `setSigningTime(org.joda.time.DateTime signingTime)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureVerificationResult

    public SignatureVerificationResult()

Method Detail

### isValid

    public boolean isValid()

### getErrors

    public Set<SignatureVerificationError> getErrors()

  Returns:
    the errors

### getSigningCert

    public X509Certificate getSigningCert()

  Returns:
    the signingCert

### setSigningCert

    public void setSigningCert(X509Certificate signingCert)

  Parameters:
    `signingCert` - the signingCert to set

### getSigningTime

    public org.joda.time.DateTime getSigningTime()

  Returns:
    the signingTime

### setSigningTime

    public void setSigningTime(org.joda.time.DateTime signingTime)

  Parameters:
    `signingTime` - the signingTime to set

### getTimestampGenTimes

    public List<org.joda.time.DateTime> getTimestampGenTimes()

  Returns:
    the timestampGenTime

### getVerifiedSigningTime

    public org.joda.time.DateTime getVerifiedSigningTime(int amount,
                                                         TimeUnit unit)

### addError

    public void addError(SignatureVerificationError error)

### getTsTokens

    public List<org.bouncycastle.tsp.TimeStampToken> getTsTokens()

  Returns:
    the tsToken

### getCertChain

    public List<X509Certificate> getCertChain()

  Returns:
    the certChain

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.